| Home | Libraries | People | FAQ | More

## Macro BOOST_TTI_TRAIT_HAS_DATA

BOOST_TTI_TRAIT_HAS_DATA — Expands to a metafunction which tests whether member data or static member with a particular name and type exists.

## Synopsis

    // In header: <boost/tti/has_data.hpp>

    BOOST_TTI_TRAIT_HAS_DATA(trait, name)

## Description

trait = the name of the metafunction.

name = the name of the inner member to introspect.

generates a metafunction called "trait" where 'trait' is the macro parameter. template<class BOOST_TTI_TP_T,class BOOST_TTI_TP_TYPE> struct trait { static const value = unspecified; typedef mpl::bool_<true-or-false> type; }; The metafunction types and return: BOOST_TTI_TP_T = the enclosing type in which to look for our 'name' BOOST_TTI_TP_TYPE = The type of the member data or static member. returns = 'value' is true if the 'name' exists, with the correct data type, otherwise 'value' is false.